<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">x86</Platform>
    <ProductVersion>10.0.0</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{FB0656B5-8E83-4880-9EAE-55E474B8B732}</ProjectGuid>
    <OutputType>Exe</OutputType>
    <RootNamespace>inf3</RootNamespace>
    <AssemblyName>inf3</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|x86' ">
    <DebugSymbols>True</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>False</Optimize>
    <OutputPath>bin\Debug</OutputPath>
    <DefineConstants>DEBUG;</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
    <ConsolePause>False</ConsolePause>
    <additionalargs>/unsafe</additionalargs>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|x86' ">
    <DebugType>none</DebugType>
    <Optimize>True</Optimize>
    <OutputPath>bin\Release</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
    <ConsolePause>False</ConsolePause>
  </PropertyGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Data" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Core" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="src\Receiver.cs" />
    <Compile Include="src\Sender.cs" />
    <Compile Include="src\Dragon.cs" />
    <Compile Include="src\Map.cs" />
    <Compile Include="src\Tile.cs" />
    <Compile Include="src\Entity.cs" />
    <Compile Include="src\Player.cs" />
    <Compile Include="src\Parser.cs" />
    <Compile Include="src\Backend.cs" />
    <Compile Include="src\StringUtils.cs" />
    <Compile Include="src\ParsingException.cs" />
    <Compile Include="src\Message.cs" />
    <Compile Include="src\Opponent.cs" />
    <Compile Include="src\Result.cs" />
    <Compile Include="src\Challenge.cs" />
    <Compile Include="src\YourID.cs" />
    <Compile Include="src\EnumDecision.cs" />
    <Compile Include="src\Online.cs" />
    <Compile Include="src\Time.cs" />
    <Compile Include="src\Coordinate.cs" />
    <Compile Include="src\Pathwalker.cs" />
    <Compile Include="src\Gui\Gui.cs" />
    <Compile Include="src\Gui\IBackend.cs" />
    <Compile Include="src\Gui\Program.cs" />
    <Compile Include="src\Gui\ITile.cs" />
    <Compile Include="src\Gui\IPositionable.cs" />
    <Compile Include="src\Buffer.cs" />
    <Compile Include="src\Gui\IGui.cs" />
    <Compile Include="src\Gui\ChatPanel.cs" />
    <Compile Include="src\Gui\ChatInputBox.cs" />
    <Compile Include="src\Gui\ChatOutputBox.cs" />
    <Compile Include="src\Gui\IChatMessage.cs" />
    <Compile Include="src\Gui\MapPanel.cs" />
    <Compile Include="src\Pathfinder.cs" />
    <Compile Include="src\Gui\IEntity.cs" />
    <Compile Include="src\Gui\SplashScreen.cs" /
    <Compile Include="src\Gui\OnlinePlayerList.cs" />
    <Compile Include="src\Gui\IPlayer.cs" />
  </ItemGroup>
  <ItemGroup />
  <ItemGroup>
    <Folder Include="src\Gui\" />
  </ItemGroup>
</Project>